<%@ taglib uri="http://java.sun.com/portlet_2_0" prefix="portlet" %>
<%@ taglib uri="http://alloy.liferay.com/tld/aui" prefix="aui" %>
<%@ taglib uri="http://liferay.com/tld/ui" prefix="liferay-ui" %>

<portlet:defineObjects />

<portlet:actionURL var="updatePasswordURL" name="updatePassword"/> 

<liferay-ui:success key="password-update-success"  message="Password Updated Successfully"/>

<liferay-ui:error key="invalid-current-password" message="Invalid Current Password"/> 
<liferay-ui:error key="confirm-new-password" message="New password and confirm password should be same"/>

 
<aui:form method="post" action="<%=updatePasswordURL.toString() %>"> 

 <aui:input  name="current" type="password" label="current-password">
 	<aui:validator name="required"/>
 </aui:input>
 <aui:input  name="password1" type="password" label="new-password">
 		<aui:validator name="required"/>
 </aui:input>
 
 <aui:input  name="password2" type="password" label="confirm-password">
 		<aui:validator name="required"/>
 </aui:input>

<span id="<portlet:namespace />passwordCapsLockSpan" style="display: none;"><liferay-ui:message key="caps-lock-is-on" /></span>
<aui:button-row>
	<aui:button type="submit" value="Update Password"/>
</aui:button-row>

</aui:form>

<aui:script use="aui-base">
	var current = A.one('#<portlet:namespace />current');
	var password1 = A.one('#<portlet:namespace />password1');
	var password2 = A.one('#<portlet:namespace />password2');
	
	if (current) {
		current.on(
			'keypress',
			function(event) {
				Liferay.Util.showCapsLock(event, '<portlet:namespace />passwordCapsLockSpan');
			}
		);
	}
	
	if (password1) {
		password1.on(
			'keypress',
			function(event) {
				Liferay.Util.showCapsLock(event, '<portlet:namespace />passwordCapsLockSpan');
			}
		);
	}
	
	if (password2) {
		password2.on(
			'keypress',
			function(event) {
				Liferay.Util.showCapsLock(event, '<portlet:namespace />passwordCapsLockSpan');
			}
		);
	}
</aui:script>